Bug 752 - No native support in glibc for Windows-1252
: No native support in glibc for Windows-1252
Status: RESOLVED FIXED
Product: System software
glibc
: 4.1 (4.2008.23-14)
: All Maemo
: Medium enhancement with 4 votes (vote)
: 4.1.2
Assigned To: Juha Kallioinen
: glibc-bugs
:
: easyfix, enhancement-it2008
:
:
  Show dependency tree
 
Reported: 2006-08-30 00:35 UTC by Olivier ROLAND
Modified: 2008-12-06 16:51 UTC (History)
5 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Olivier ROLAND (reporter) 2006-08-30 00:35:59 UTC
I know that you have to save extra bits but I think that compiling libc without
window-1252 is a mistake. Please double check the output of iconv -l and
re-consider which coded character set are really required for an internet tablet.

I know that developper could recompile libiconv and use the libc plug/override
mode with LD_PRELOAD hack and i used that myself in Streamtuner (maemo port)
garage project but that doesn't save extra bit at all.

Please re-consider native Window-1252 support in libc or explain your
motivations if this is not a mistake. Thanks.
Comment 2 Eero Tamminen nokia 2007-10-16 14:07:50 UTC
Chinook v2.5 Glibc contains following Windows encodings:
WINDOWS-1250
WINDOWS-1251
WINDOWS-1253
WINDOWS-1254

I'm not familiar with Windows encodings.  What 1252 has or where it's
used when compared to above listed encodings?
Comment 3 Olivier ROLAND (reporter) 2007-10-17 17:16:20 UTC
Windows-1252 is everywhere. It has is own page on wikipedia ;-)
http://en.wikipedia.org/wiki/Windows-1252
More seriously, mail and web site encoded with Windows-1252 are very common.

If you have to save extra bit you can remove less important charset but this
one  is important and should be in your top five.

Please add it to glibc.
Thanks.
Comment 4 Eero Tamminen nokia 2007-10-17 17:48:27 UTC
It seems to be only 10KB.  I don't see why it couldn't be included.
Comment 5 Olivier ROLAND (reporter) 2008-02-04 00:25:41 UTC
So ? What's the next step ?
No patch is needed here. How to make this included to next OS2008 release ?
There is absolutely no side effect to add Windows-1252 charset.
Comment 6 Thomas Schmidt 2008-02-12 01:40:10 UTC
It would be really nice if this bug could be solved soon, the libgsf package i
maintain (requirement of Gnumeric) fails while calling iconf_open() because
CP1252 is not available. 

(This happens when a user tries to open MS Excel Spreadsheets in Gnumeric, the
effect is that Gnumeric displays very stange formatting of numbers and so on.)

Is there maybe a temporary workaround for this problem?
Comment 7 Olivier ROLAND (reporter) 2008-02-13 00:09:44 UTC
(In reply to comment #6)
The bad hack I use myself in streamtuner is describe here :
http://www.gnu.org/software/libiconv/
This is called "the libc plug/override mode".

You can check my code and see how I integrate this in streamtuner
This is of course not a good solution to this problem because it's make your
package unnecessary bigger and the launch process more complex but it's works. 

I have open this bug in August 2006 for OS2006 !
"They" make the same mistake for OS2007 and now for OS2008
Maybe this bug need more votes to be taken in consideration.
I really don't understand why other developers are not annoyed by this like you
and me. Fortunately I'm very patient ;-)
Comment 8 Tor 2008-02-13 14:38:13 UTC
(In reply to comment #2)
> Chinook v2.5 Glibc contains following Windows encodings:
> WINDOWS-1250
> WINDOWS-1251
> WINDOWS-1253
> WINDOWS-1254
> 
> I'm not familiar with Windows encodings.  What 1252 has or where it's
> used when compared to above listed encodings?

 http://en.wikipedia.org/wiki/Windows_code_page
1250 - East European Latin
1251 - Cyrillic
1252 - West European Latin
1253 - Greek
1254 - Turkish.

It would appear that 1252 is MS' equivalent of ISO-8859-1 (or ISO-8859-15 in
some versions)
Comment 9 Quim Gil nokia 2008-10-29 11:51:00 UTC
(In reply to comment #4)
> It seems to be only 10KB.  I don't see why it couldn't be included.

Nor me. Eero, who should we ping to have it?
Comment 10 Quim Gil nokia 2008-10-29 11:53:33 UTC
Ny the way, bug listed at http://wiki.maemo.org/Mainstream_Linux_Alignment
Comment 11 Juha Kallioinen nokia 2008-10-29 13:25:27 UTC
What an old bug.. let's see if we can fix it for Fremantle.
Comment 12 Andre Klapper maemo.org 2008-11-14 17:13:44 UTC
Juha: According to int-85297 comment 12 this is already fixed in the latest
glibc for Diablo, or did I get that comment wrong?
Comment 13 Juha Kallioinen nokia 2008-11-14 17:19:39 UTC
(In reply to comment #12)
> Juha: According to int-85297 comment 12 this is already fixed in the latest
> glibc for Diablo, or did I get that comment wrong?

I think it is so, but I haven't verified it myself so I did not want to comment
here yet. Diablo's glibc is not in my hands.
Comment 14 Andre Klapper maemo.org 2008-11-14 17:28:13 UTC
OK, no problem.
It's definitely fixed for Fremantle, hence closing - We can always correct the
Target Milestone later on.
Comment 15 Marius Gedminas 2008-11-14 17:41:38 UTC
It is fixed in Diablo:

  $ dpkg -S /usr/lib/gconv/CP1252.so 
  libc6: /usr/lib/gconv/CP1252.so

OSSO_PRODUCT_RELEASE_VERSION='4.2008.36-5'